@---------------------------------------------------------------------

For Figures 1 and 3 of article "Do Changes in Reserves Proxy Well for 
Official Intervention?" by Christopher J. Neely in September/October 
2000 issue of the Federal Reserve Bank of St. Louis Review. 

---------------------------------------------------------------------@

/*---------------------- Figure1.PRG -----------------------------------*/
/*  This prgs produces a graph of monthly changes in reserves and cumulated
monthly CBI */
/*-----------------------------------------------------------------------*/
new;
library pgraph;
graphset;

inname0 = "n:\\cjn\\review\\reserves\\draft3\\step6\\fred\\cbires";
grfname1 = "n:\\cjn\\review\\reserves\\draft3\\step6\\fred\\us.grf";
grfname5 = "n:\\cjn\\review\\reserves\\draft3\\step6\\fred\\figure3.eps";



/*  Variables in "cbires" are YYMM fedcbi1 fedcbi2 USIntRes USFXRes
USIntRes USFXRes  */

open f1 = ^inname0;
y = readr(f1,rowsf(f1));
yymm = y[.,1];
datz = 1900 + trunc(yymm/100) + (yymm - 100*trunc(yymm/100))/12;


/*----------------------- Figure1 ----------------------------*/

graphset;
_pnum = {1 , 2};
_pcolor = 8;  _pmcolor = 8;  _pltype = 6;
_pnumht = .3;  _paxht = .3;  _ptitlht = .4;  _pframe = 0;  _pdate = 0;
begwind;
window(2,1,1);
setwind(1);
title("Cumulated Fed Intervention by Month");
xy(datz,y[.,3]);
nextwind;
title("Changes in U.S. Reserves");
xy(datz,y[.,5]);
cmdstr = " -c=3 -cf=" $+ grfname1 $+ " -w=5";
graphprt(cmdstr);
endwind;


/*-------------------- Graph the first cross moment-Figure3 ---------------*/

usdata = (y[.,3].*y[.,5])./maxc(abs(y[.,3].*y[.,5]));

graphset;
_pnum = {1 , 2};
_pcolor = 8;  _pmcolor = 8;  _pltype = 6;
_pnumht = .3;  _paxht = .3;  _ptitlht = .35;  _pframe = 0;  _pdate = 0;
_pysci = 5;
xtics(1976,1999,4,1);
begwind;
makewind(8.5,11,0,0,1);
makewind(8.5,11,0,0,1);
makewind(8.5,11,0,0,1);
setwind(1);
title("United States");
xy(datz,usdata[.,1]);

cmdstr = " -c=1 -cf=" $+ grfname5 $+ " -w=5";
graphprt(cmdstr);
endwind;


