@---------------------------------------------------------------------

For Table 1 of article "Do Changes in Reserves Proxy Well for Official 
Intervention?" by Christopher J. Neely in September/October 2000 issue 
of the Federal Reserve Bank of St. Louis Review. 

---------------------------------------------------------------------@



/*----------------------- Sumstats.prg ---------------------*/
/* Create summary statistics on the CBI and reserves data.  */
/*----------------------------------------------------------*/
library arima;
#include reserves.lib;

inname = "n:\\cjn\\review\\reserves\\draft3\\step6\\fred\\cbires";
outname = "n:\\cjn\\review\\reserves\\draft3\\step6\\fred\\sumstats.out";
datname = "n:\\cjn\\review\\reserves\\draft3\\step6\\fred\\sumstats";

closeall f1;
open f1 = ^inname;
data = readr(f1,rowsf(f1));

let vnames = YYMM fedcbi1 fedcbi2 USIntRes USFXRes ausintres ausfxres;
indx = (2|3|4|5);
indxvec = vec(indx);

statstab = miss(zeros(1,11),0);

varnums = 1|(indx[.,1]);
{stats} = sumstats(data[.,varnums]);
statstab= statstab|stats;

statstab[.,8:11] = 100*statstab[.,8:11];
statstab = trimr(statstab,1,0);

outwidth 256;
format /rd 5,3;
output file = ^outname reset;
" VNames  Date1  Date2  Mean  Stddev  MeanABs  Min  Max  AC1  AC2   AC3   AC4";
$vnames[indxvec,1]~ftocv(statstab,1,0);
output off;

let outnames = Date1 Date2 Mean Stddev MeanABs Min Max AC1 AC2 AC3 AC4;
z = saved(statstab,datname,outnames);
z;


